boxioo Developers

Objets

Lister et créer les types d'objets (entités CRM) de votre tenant.

GET
/v1/objects
/v1/objects

The Authorization access token

Authorization

Authorization<token>

Envoyez ApiKey bk_live_... (préfixe littéral ApiKey obligatoire).

In: header

Query Parameters

limitinteger

Taille de page (1–100).

Default: 25Minimum: 1Maximum: 100

offsetinteger

Décalage de pagination.

Default: 0Minimum: 0

qstring

Recherche texte sur le nom et la description.

Maximum length: 120

typestring

Filtrer par type d'objet.

Value in: "STANDARD"

isSystemObjectboolean

true = objets livrés (Demande, Ticket, Utilisateur…), false = objets créés par l'utilisateur.

isSettingboolean

true = objets « Paramètre », false = objets métier.

apiNamearray<string>

Restreindre à une liste d'apiNames (max 50).

createdAfterstring

ISO 8601 — objets créés à partir de cette date.

Format: "date-time"

updatedAfterstring

ISO 8601 — objets modifiés à partir de cette date (synchro incrémentale).

Format: "date-time"

orderBystring

Default: "createdAt"Value in: "createdAt" | "updatedAt" | "name"

orderstring

Default: "desc"Value in: "asc" | "desc"
curl -X GET "https://api.boxioo.com/v1/objects?limit=25&offset=0&q=string&type=STANDARD&isSystemObject=true&isSetting=true&apiName=%5B%0A++%22string%22%0A%5D&createdAfter=2019-08-24T14%3A15%3A22Z&updatedAfter=2019-08-24T14%3A15%3A22Z&orderBy=createdAt&order=asc"

Liste paginée d'objets.

{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "apiName": "contact",
      "name": "Contact",
      "description": "string",
      "icon": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "limit": 25,
    "offset": 0,
    "total": 137,
    "hasMore": true
  }
}

POST
/v1/objects
/v1/objects

The Authorization access token

Authorization

Authorization<token>

Envoyez ApiKey bk_live_... (préfixe littéral ApiKey obligatoire).

In: header

Request Body

application/jsonRequired

namestring

Example: "Contact"Maximum length: 120

apiNamestring

Example: "contact"Pattern: "^[a-z][a-z0-9_]{1,59}$"

systemNamestring

Example: "contact"Pattern: "^[a-z][a-z0-9_]{1,59}$"

descriptionstring

Maximum length: 500

iconstring

isSettingboolean

isUserAssignableboolean

fieldsarray<object>

curl -X POST "https://api.boxioo.com/v1/objects" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Contact",
    "apiName": "contact",
    "systemName": "contact",
    "description": "string",
    "icon": "string",
    "isSetting": true,
    "isUserAssignable": true,
    "fields": [
      {
        "name": "Téléphone",
        "systemName": "phone",
        "description": "string",
        "type": "STRING",
        "isRequired": true,
        "isUnique": true,
        "isMultiple": true,
        "isEditable": true,
        "defaultValue": "string",
        "validationRegex": "string",
        "maxLength": 0,
        "minLength": 0,
        "minValue": 0,
        "maxValue": 0,
        "options": [
          {
            "value": "string"
          }
        ]
      }
    ]
  }'

Objet créé, avec son schéma complet.

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "apiName": "string",
  "name": "string",
  "description": "string",
  "icon": "string",
  "fields": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "systemName": "first_name",
      "name": "Prénom",
      "description": "string",
      "type": "STRING",
      "isRequired": true,
      "isUnique": true,
      "isMultiple": true,
      "isEditable": true,
      "isSystemField": true,
      "position": 0,
      "defaultValue": "string",
      "options": [
        {
          "id": "string",
          "value": "string"
        }
      ]
    }
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

GET
/v1/objects/{apiName}/schema
/v1/objects/{apiName}/schema

The Authorization access token

Authorization

Authorization<token>

Envoyez ApiKey bk_live_... (préfixe littéral ApiKey obligatoire).

In: header

Path Parameters

apiNamestring

Nom système de l'objet (ex. contact).

curl -X GET "https://api.boxioo.com/v1/objects/string/schema"

Schéma détaillé.

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "apiName": "string",
  "name": "string",
  "description": "string",
  "icon": "string",
  "fields": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "systemName": "first_name",
      "name": "Prénom",
      "description": "string",
      "type": "STRING",
      "isRequired": true,
      "isUnique": true,
      "isMultiple": true,
      "isEditable": true,
      "isSystemField": true,
      "position": 0,
      "defaultValue": "string",
      "options": [
        {
          "id": "string",
          "value": "string"
        }
      ]
    }
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}